Package com.sas.lsaf.execution.job

## Class ManifestInput

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestFileRef
  - - com.sas.lsaf.execution.job.ManifestInput

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ManifestInput
      extends ManifestFileRef

  The client representation of an input in a job manifest file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestInput​(ManifestFile manifestFile, java.lang.String referencingProgram)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getReferencingProgram()` | Gets the program that referenced the input.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.execution.job.ManifestFileRef

      `getFile, getId, getLastModified, getName, getPath, getVersion, isRepositoryFile, isWorkspaceFile`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestInput

          public ManifestInput​(ManifestFile manifestFile,
                               java.lang.String referencingProgram)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the manifest files that are returned by the API.
      Parameters:
        `manifestFile` - The file object that represents an input file that is referenced during the job submission.
        `referencingProgram` - The program that referenced the input.

  - ### Method Detail

    - #### getReferencingProgram

          public java.lang.String getReferencingProgram()

      Gets the program that referenced the input.
      Returns:
        The program.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ManifestFileRef`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ManifestFileRef`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ManifestFileRef`